Subject: [appsdir] Scan of draft-ietf-kitten-pkinit-alg-agility-00

From: "Orit Levin (LCA)" <[email-masked]>
Date: Mon, 4 May 2015 02:31:16 +0000

Here are my comments after a quick scan of draft-ietf-kitten-pkinit-alg-agility-00:

This draft is a major update to RFC 4556. It touches almost all aspects defined in RFC 4556 and as such will require a thorough review by all stakeholders who participated in RFC 4556 and its implementers. In addition to reviewing the proposed choices of different security algorithms, special attention  will be required for reviewing the backwards interoperability aspects including mixed versions environments (if relevant).

In general, the draft is well written, although I found the Security Considerations section somewhat underdeveloped. (For example, it contains the following statement: “If negotiation is done unauthenticated, care MUST be taken to accept only acceptable values.” )

Thanks,
Orit.

From: Eliot Lear [mailto:[email-masked]] 
Sent: Tuesday, April 14, 2015 5:20 AM
To: Orit Levin (LCA); Salvatore Loreto
Cc: Mankin, Allison; [email-masked]
Subject: Re: [appsdir] Initial App Area reviews needed

Hi Orit,

If you have comments please go ahead and send them along as well.  In addition, could I hit you up for taking a look at draft-ietf-kitten-pkinit-alg-agility-00?  Again, this is just the initial scan to figure out the sorts of expertise are involved (although i wouldn't be surprised if it was yours in this case).

Regards,

Eliot

On 4/11/15 2:26 AM, Orit Levin (LCA) wrote:
Oops, I actually scanned the draft out last night, but got to writing the email just now.
A disclaimer: I didn’t participate in the STRAW work and I read the draft for the first time… ;-)
Cheers,
Orit.
 
From: appsdir [mailto:[email-masked]] On Behalf Of Salvatore Loreto
Sent: Friday, April 10, 2015 6:53 AM
To: Eliot Lear
Cc: Mankin, Allison; [email-masked]
Subject: Re: [appsdir] Initial App Area reviews needed
 
not sure if someone already volunteered for it  
if not I will take
 
draft-ietf-straw-b2bua-dtls-srtp-00.txt
 
br
Salvatore
 
On 07 Apr 2015, at 16:20, Eliot Lear <[email-masked]> wrote:
 
Hi everyone,

For those of you who weren't at the AppsArea lunch, one topic was apps reviews.  We would like to try an experiment, which is to both identify the skills needed for a proper review and a reviewer early in the life cycle of a working group draft.  What follows is a list of recently published -00 working group drafts.  I wonder if people could volunteer to just quickly scan one of the following drafts, and email back to the group only the following information:
• The draft filename (draft-ietf-wg...-00.txt) 
• A gut feel as to how much attention it will need (and why)
• The sorts of apps area skills required to properly do the review.  To get a feel for what people have listed, just go to our favorite little wiki and look in the expertise column. 
Just pick one draft off the list below and send it round when you've done.  If it takes you more than 10 minutes, something's probably gone wrong.
Here's the list:
draft-ietf-aqm-docsis-pie-00.txt
draft-ietf-avtext-sdes-hdr-ext-00.txt
draft-ietf-bess-mvpn-pe-ce-00.txt
draft-ietf-calext-availability-00.txt
draft-ietf-calext-extensions-00.txt
draft-ietf-dhc-rfc3315bis-00.txt
draft-ietf-dime-4over6-provisioning-00.txt
draft-ietf-i2rs-rib-data-model-00.txt
draft-ietf-kitten-pkinit-alg-agility-00.txt
draft-ietf-opsec-ipv6-eh-filtering-00.txt
draft-ietf-sfc-nsh-00.txt
draft-ietf-straw-b2bua-dtls-srtp-00.txt
draft-ietf-tokbind-https-00.txt
draft-ietf-tokbind-protocol-00.txt
draft-ietf-trill-arp-optimization-00.txt
I'm going to pull the first one of the top as an example:
Name: draft-ietf-aqm-docsis-pie-00.txt
How much time attention it needs: not a lot.  It's a short draft that mostly builds on the earlier PIE work.
What type of skills needed: "transporty" interactions with applications.

And I'll take it from there to find a reviewer.  What happens next is that I'll assign a reviewer.  The idea is to find problems earlier rather later.
Thanks very much in advance!
Eliot
_______________________________________________
appsdir mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/appsdir